Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.data
Interface CachedWebDataSource

All Known Implementing Classes:
  DatabaseUpdater

    public interface CachedWebDataSource

Defines an Index who's data is retrieved from the Internet. This data can be downloaded and the index updated.

Author:
  Jeremy Long (jeremy.long@owasp.org)

Method Summary
`void` | `update()` Determines if an update to the current index is needed, if it is the new data is downloaded from the Internet and imported into the current Lucene Index.

Method Detail

### update

    void update()
                throws UpdateException

  Determines if an update to the current index is needed, if it is the new data is downloaded from the Internet and imported into the current Lucene Index.

  Throws:
    `UpdateException` - is thrown if there is an exception updating the index.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.